/*================================================================================================*/
/*  BOOTSTRAP EXTEND                                                                              */
/*================================================================================================*/

body {
    color: #555555;
}

/* PRIMARY COLOR */
.progress-bar:after{
    background-color: #2b78c1;
}
.timeline-marker:before {
    border-color: #2b78c1 !important;
}
.timeline > li:hover .timeline-marker:before {
    background: #2b78c1 !important;
}





.navbar-brand {
    font-weight: 700;
    font-family: 'Montserrat', sans-serif;
}
.navbar-brand img{
    max-height: 30px;
}

a{
    color: #616161;
}


/* MENU */
.navbar{
   -webkit-transition: background-color 300ms linear;
    transition: background-color s linear;
}
#menu-navbar{
    margin: 20px -32px 0;
}
#menu-navbar .navbar-nav{
    padding: 0 32px;
    border-top: 1px solid rgba(0,0,0,0.05);
}
.navbar-expand-lg .navbar-nav .nav-link{
    font-family: 'Montserrat', sans-serif;
    padding: 10px 12px 9px;
    font-size: 14px;
    text-transform: uppercase;
    text-align: center;
    border-top: 1px solid rgba(0,0,0,0.05);
}
.navbar-expand-lg .navbar-nav > .nav-item:first-child .nav-link{
    border-top: none;
}
@media (min-width: 992px) {
    #menu-navbar{
        margin: 0;
    }
    #menu-navbar .navbar-nav{
        padding: 0;
        border-top: none;
    }
    .navbar-expand-lg .navbar-nav .nav-link{
        border-top: none;
    }
}
.navbar-toggler{
    padding-right: 0;
}


/* TABS */
.nav-tabs .nav-link:focus, .nav-tabs .nav-link:hover{
    color: #616161;
    border-color: transparent transparent #616161;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active{
    border-color: transparent transparent #FFA200;
}





.btn{
    text-transform: uppercase;
}


label{
    font-size: 0.8rem;
    color: #9e9e9e;
    margin-bottom: 0;
}

.form-control{
    border-top: none;
    border-left: none;
    border-right: none;
    border-radius: 0;
    transition: border-color 200ms linear;
}


/* GRID */
.container {
    max-width: none;
    padding-right: 24px;
    padding-left: 24px;
}
@media (min-width: 480px) {
    .container {
        padding-right: 5%;
        padding-left: 5%;
    }
}
@media (min-width: 1280px) {
    .container {
        max-width: 1280px;
        padding-left: 64px;
        padding-right: 64px;
    }
}


/* MODAL */
.modal {
    padding-right: 0 !important;
}
.modal-xl {
    max-width: none;
    margin: 1.75rem 24px;
}
@media (min-width: 480px) {
    .modal-xl {
        margin: 1.75rem 5%;
    }
}
@media (min-width: 1280px) {
    .modal-xl {
        max-width: 1152px;
        margin: 1.75rem auto;
    }
}


/*================================================================================================*/
/*  CUSTOM                                                                                        */
/*================================================================================================*/

body {
    font-family: 'Lato', sans-serif;
}

h1, h2, h3, h4, h5, h6{
    font-family: 'Montserrat', sans-serif;
    text-transform: uppercase;
}

#menu{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 32px;
    z-index: 100;
}

#slideshow{
    position: relative;
    height: calc(100vh + 100px);
    background-attachment: scroll;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;

}
#slideshow:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 0;
}

#slideshow h1{
    font-size: 18px;
    text-transform: none;
    font-weight: 500;
}
#slideshow h4{
    font-size: 14px;
    text-transform: none;
}
@media (min-width: 480px) {
    #slideshow h1{
        font-size: 28px;
    }
    #slideshow h4{
        font-size: 16px;
    }
}
@media (min-width: 576px) {
    #slideshow h1{
        font-size: 28px;
    }
    #slideshow h4{
        font-size: 18px;
    }
}
@media (min-width: 768px) {
    #slideshow h1{
        font-size: 40px;
    }
    #slideshow h4{
        font-size: 20px;
    }
}
@media (min-width: 992px) {
    #slideshow h1{
        font-size: 56px;
    }
    #slideshow h4{
        font-size: 22px;
    }
}
@media (min-width: 1200px) {
    #slideshow h1{
        font-size: 72px;
    }
    #slideshow h4{
        font-size: 24px;
    }
}

#slideshow .social a{
    font-size: 18px;
}

#slideshow .social a.codeable:hover{
	opacity: 0.7;
}

.social a{
    padding: 6px;
}

.social-envato{
    display: inline-block;
    width: 24px;
}
#lideshow .social-envato{
    width: 26px;
}
#slideshow .social-envato path {
    fill: rgba(255, 255, 255, 1.0);
}
#slideshow .social-envato:hover path {
    fill: rgba(255, 255, 255, 0.7);
}


#headline{
    display: flex;
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    padding-bottom: 100px;
}

.links-white a{
    color: rgba(255, 255, 255, 1.0);
}
.links-white a:hover{
    color: rgba(255, 255, 255, 0.7);
}

.links-dark a{
    color: rgba(33, 33, 33, 1.0);
}
.links-dark a:hover{
    color: rgba(33, 33, 33, 0.7);
}

.links-body a{
    color: rgba(97, 97, 97, 1.0);
}
.links-body a:hover{
    color: rgba(97, 97, 97, 0.7);
}

/*================================================================================================*/
/*  ANIMATED HEADLINE                                                                             */
/*================================================================================================*/
.cd-headline span{
    padding: 0 !important;
}
.cd-headline.clip .cd-words-wrapper::after{
    background-color: rgba(255,255,255,0.5);
}


/*================================================================================================*/
/* PROGRESS BAR */
/*================================================================================================*/
.progress{
    position: relative;
    height: 24px;
    margin-bottom: 15px;
    background-color: transparent;
}
.progress .progress-value{
    position: absolute;
    top: 0;
    right: 15px;
    line-height: 24px;
    color: #fff;
    text-transform: uppercase;
    letter-spacing: 1px;
    opacity: 0;
    transition: opacity 300ms ease 1s;
    z-index: 1;
}
.progress-bar{
    position: relative;
    text-align: left;
    margin-right: 12px;
    padding-left: 15px;
    width: 130px;
    transition: width 1s ease;
}

.progress-bar:after{
    content: "";
    position: absolute;
    top: 0;
    right: -6px;
    width: 24px;
    height: 24px;
    transform: skew(-25deg);
    z-index: -1;
}

@media (min-width: 576px) {
    .skills-left h4{
        text-align: right;
    }
    .skills-left .progress{
        justify-content: flex-end;
    }
    .skills-left .progress .progress-value{
        left: 15px;
        right: auto;
    }
    .skills-left .progress .progress-bar{
        text-align: right;
        margin-right: 0;
        padding-right: 0;
        margin-left: 12px;
        padding-right: 15px;
    }
    .skills-left .progress .progress-bar:after{
        right: auto;
        left: -6px;
        transform: skew(25deg);
    }
}

.progress-bar.animated  .progress-value{
    opacity: 1;
}

/*================================================================================================*/
/* ISOTOPE */
/*================================================================================================*/
.grid-item{
    padding: 0;
}


/*================================================================================================*/
/* TIMELINE */
/*================================================================================================*/
.timeline{
    position: relative;
    padding: 0;
    list-style: none;
}
.timeline li{
    position: relative;
}
.timeline-marker {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 15px;
}
.timeline-marker:before {
    background: transparent;
    border: 3px solid #FF6B6B;
    border-radius: 100%;
    content: "";
    display: block;
    position: absolute;
    top: 4px;
    left: 0;
    width: 16px;
    height: 16px;
    transition: background 0.3s ease-in-out;
    /* transition: width 0.3s ease-in-out, height 0.3s ease-in-out; */
}
.timeline > li:hover .timeline-marker:before {
    background: #FF6B6B;
/*
    width: 20px;
    height: 20px;
*/
}
.timeline-line:after {
    content: "";
    width: 2px;
    background: rgba(0,0,0,0.1);
    display: block;
    position: absolute;
    top: 24px;
    bottom: 0;
    left: 7px;
}
.timeline-info{
    display: block;
    width: 200px;
    padding: 0 0 16px 40px;
}
.timeline-content{
    padding: 0 0 48px 40px;
}
.timeline > li:last-child .timeline-content{
    padding-bottom: 0;
}
.timeline-content > p:last-child{
    margin: 0;
}
.timeline > li .timeline-content h6{
    padding-top: 3px;
}

@media (min-width: 480px) {
    .timeline {
        margin-left: 128px;
    }
    .timeline-info {
        float: left;
        margin-left: -200px;
        padding: 0 24px 16px;
        text-align: right;
    }
}


/*================================================================================================*/
/* STATS */
/*================================================================================================*/
#stats i{
    font-size: 32px;
}
#stats .counter{
    font-size: 2rem;
    font-weight: 500;
    color: #212121;
}


/*================================================================================================*/
/* OWL CAROUSEL */
/*================================================================================================*/
/*
#testimonials .item div{
    font-size: 17px;
    font-style: italic;
}
*/
#testimonials .item h6{
    margin-top: 16px;
    margin-bottom: 0;
    text-transform: none;
}

#testimonials .item h6 a {
    color: #212121;
}

#testimonials .item h6 a:hover {
    color: #225e97;
}

#testimonials .item .source{
    display: inline-block;
    font-size: 12px;
}

#testimonials .item img {
    display: inline-block;
    width: auto;
}

#testimonials .item img.round {
    display: inline-block;
    border-radius: 50%;
    width: 130px;
    height: 130px;
}

#testimonials .owl-dots{
    margin-top: 32px;
}


/*================================================================================================*/
/* FOOTER */
/*================================================================================================*/
footer{
    font-size: 11px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-family: 'Montserrat', sans-serif;
}
footer a{
    display: inline-block;
    padding: 5px;
    font-size: 14px;
}
footer .social-envato {
    display: inline-block;
    width: 21px;
    line-height: 21px;
}
.social-envato path {
    fill: #616161;
}


/*================================================================================================*/
/* SECTIONS */
/*================================================================================================*/

/*================================================================================================*/
/* ABOUT ME */
/*================================================================================================*/

#about-image{
    display: inline-block;
    position: relative;
    padding: 64px 32px;
}
#about-image .skewed-box{
    position: absolute;
    top: 32px;
    left: 0;
    width: calc(100% - 64px);
    height: calc(100% - 64px);
    background-color: rgba(0,0,0,0.05);
    transform: skewY(10deg);
}
#about-image img{
    width: 350px;
}

/*================================================================================================*/
/* RESUME */
/*================================================================================================*/

#resume .label-top,
#resume .label-bottom{
    font-size: 48px;
    font-weight: 200;
    line-height: 72px;
    color: #bdbdbd;
    letter-spacing: 1px;
}

@media (min-width: 768px) {
    #resume .label-top,
    #resume .label-bottom{
        position: absolute;
        transform: rotate(-90deg);
    }
    #resume .label-top{
        transform-origin: 100% 0;
        top: 32px;
        right: 100%;
    }
    #resume .label-bottom{
        transform-origin: 0 0;
        bottom: 0;
        left: 0;
    }
}

/*================================================================================================*/
/* SERVICES */
/*================================================================================================*/

.media  i{
    display: block;
    text-align: center;
    font-size: 40px;
}
.media.flex-column i{
    width: 100%;
    padding-right: 0;
    margin-bottom: 16px;
}
.media.flex-column{
    text-align: center;
}
.media.flex-column .media-body{
    width: 100%;
}


/*================================================================================================*/
/* PORTFOLIO */
/*================================================================================================*/

#portfolio .btn-link{
    color: #424242;
}
#portfolio .btn-link:hover{
    color: #138496;
}
#portfolio .btn-link:focus{
    color: #17a2b8;
}

.modal-100{
    margin: 0;
    max-width: none;
}
.modal-100 .modal-content{
    width: 100vw;
    min-height: 100vh;
    border-radius: 0;
}


.portfolio-modal .modal-content{
    border: none;
}
.portfolio-modal .modal-header{
    position: relative;
    display: block;
    padding: 40px 0;
    border-bottom: none;
    text-align: center;
}
.portfolio-modal .modal-header .close{
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
}
.portfolio-modal .modal-body{
    padding: 0;
}


.modal-slideshow{
    position: relative;
    background-attachment: scroll;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
/*
.modal-slideshow:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 0;
}
*/

.modal-intro{
    padding: 96px;
}
.modal-primary{
    position: relative;
    margin: 48px 0;
    padding: 64px 24px;
}
.modal-secondary{
    position: relative;
    margin-top: 48px;
    padding: 64px 24px;
}
/*
.modal-secondary > div > div{
    padding: 0 32px;
}
*/

.modal-primary > svg:first-child,
.modal-secondary > svg:first-child{
    position: absolute;
    top: -48px;
    left: 0;
}
.modal-primary > svg:last-child{
    position: absolute;
    bottom: -48px;
    left: 0;
}

/*
.modal-primary img,
.modal-secondary img{
    box-shadow: 0 1px 3px 3px rgba(0,0,0,0.05);
}
*/

.color-pallette{
    border-radius: 100%;
    width: 32px;
    height: 32px;
    margin: 0 4px;
}


/*================================================================================================*/
/* FIGURES */
/*================================================================================================*/
figure{
    position: relative;
}
figure .figure-caption{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
figure .figure-caption div{
    text-align: center;
    padding: 30px;
}
figure .figure-caption a{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    text-indent: 200%;
    white-space: nowrap;
    font-size: 0;
    opacity: 0;
    color: #fff;
}


/*================================================================================================*/
/* CONTACT */
/*================================================================================================*/
.efield {
    opacity: 0;
    margin: 0;
    padding: 0;
    width: 0;
    height: 0;
    line-height: 0;
    border: none;
}


/*================================================================================================*/
/* EFFECTS */
/*================================================================================================*/


figure.effect-zoom{

}
figure.effect-zoom .image-container{
    overflow: hidden;
}
figure.effect-zoom img{
    -webkit-transition: -webkit-transform 5s ease-out;
	transition: transform 5s ease-out;

    -webkit-transform: scale(1);
	transform: scale(1);
}
figure.effect-zoom:hover img{
    -webkit-transform: scale(1.15);
	transform: scale(1.15);
    -webkit-transition-duration: 10s;
    transition-duration: 10s;
    -webkit-transition-timing-function:  cubic-bezier(0.03, 0.9, 0.03, 0.9);
    transition-timing-function: cubic-bezier(0.03, 0.9, 0.03, 0.9);
}



figure.effect-1 {
	background: #000;

/*
    background: -webkit-linear-gradient(45deg, #22682a 0%, #9b4a1b 40%, #3a342a 100%);
	background: linear-gradient(45deg, #22682a 0%,#9b4a1b 40%,#3a342a 100%);
*/

    overflow: hidden;
}

figure.effect-1 figcaption {
	padding: 3em;
    width: 100%;
    height: 100%;
}

figure.effect-1 figcaption::before,
figure.effect-1 figcaption::after {
	position: absolute;
	content: '';
	opacity: 0;
}

/*
figure.effect-1 figcaption::before {
	top: 50px;
	right: 30px;
	bottom: 50px;
	left: 30px;
	border-top: 1px solid #fff;
	border-bottom: 1px solid #fff;
	-webkit-transform: scale(0,1);
	transform: scale(0,1);
	-webkit-transform-origin: 0 0;
	transform-origin: 0 0;
}

figure.effect-1 figcaption::after {
	top: 30px;
	right: 50px;
	bottom: 30px;
	left: 50px;
	border-right: 1px solid #fff;
	border-left: 1px solid #fff;
	-webkit-transform: scale(1,0);
	transform: scale(1,0);
	-webkit-transform-origin: 100% 0;
	transform-origin: 100% 0;
}
*/
/*

figure.effect-1 h2 {
	padding-top: 26%;
	-webkit-transition: -webkit-transform 0.35s;
	transition: transform 0.35s;
}

figure.effect-1 p {
	padding: 0.5em 2em;
	text-transform: none;
	opacity: 0;
	-webkit-transform: translate3d(0,-10px,0);
	transform: translate3d(0,-10px,0);
}
*/

figure.effect-1 img,
figure.effect-1 figcaption::before,
figure.effect-1 figcaption::after,
figure.effect-1 p,
figure.effect-1 div {
	-webkit-transition: opacity 0.35s, -webkit-transform 0.35s;
	transition: opacity 0.35s, transform 0.35s;
/*
    -webkit-transition: -webkit-transform 6s cubic-bezier(0.25, 0.46, 0.45, 0.94);
    transition: transform 6s cubic-bezier(0.25, 0.46, 0.45, 0.94);
*/
}



figure.effect-1 img {
    -webkit-transition: opacity 0.35s, -webkit-transform 5s ease-out;
	transition: opacity 0.35s, transform 5s ease-out;

    -webkit-transform: scale(1);
	transform: scale(1);
}
figure.effect-1:hover img {
	opacity: 0.3;
    -webkit-transform: scale(1.15);
	transform: scale(1.15);
    -webkit-transition-duration: 10s;
    transition-duration: 10s;
    -webkit-transition-timing-function:  cubic-bezier(0.03, 0.9, 0.03, 0.9);
    transition-timing-function: cubic-bezier(0.03, 0.9, 0.03, 0.9);
}


figure.effect-1 div {
    opacity: 0;
    -webkit-transform: scale(0.5);
	transform: scale(0.5);
}
figure.effect-1:hover div {
	opacity: 1;
	-webkit-transform: scale(1);
	transform: scale(1););
}



/*
figure.effect-1:hover h2,
figure.effect-1:hover p {
	opacity: 1;
	-webkit-transform: translate3d(0,0,0);
	transform: translate3d(0,0,0);
}
*/



figure.effect-1:hover figcaption::before,
figure.effect-1:hover figcaption::after {
	opacity: 1;
	-webkit-transform: scale(1);
	transform: scale(1);
}

figure.effect-1:hover figcaption::after,
figure.effect-1:hover h2,
figure.effect-1:hover p,
figure.effect-1:hover div,
figure.effect-1:hover img {
	-webkit-transition-delay: 0.15s;
	transition-delay: 0.15s;
}


.zoomOut{
    -webkit-transition: -webkit-transform 500ms ease-out;
	transition: transform 500ms ease-out;
    -webkit-transform: scale(1);
    transform: scale(1);
}
.zoomOut.zoomedOut {
	opacity: 1;
	-webkit-transform: scale(0);
	transform: scale(0);
}

.form-group:focus label{
    color: red;
}


/*================================================================================================*/
/*  CUSTOM ANIMMATE.CSS */
/*================================================================================================*/

@-webkit-keyframes fadeInUpSmall {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 32px, 0);
    transform: translate3d(0, 32px, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInUpSmall {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 32px, 0);
    transform: translate3d(0, 32px, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.fadeInUpSmall {
  -webkit-animation-name: fadeInUpSmall;
  animation-name: fadeInUpSmall;
}
